#
# Copyright (c) 2004, 2005, 2006 Ralf Corsepius, Ulm, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

%define coin_includedir %{_includedir}/Coin2
%define coin_htmldir %{_datadir}/Coin2

%define libopenal_SONAME libopenal.so.0
%define libsimage_SONAME libsimage.so.20

Summary: High-level 3D visualization library
Name: Coin2
Version: 2.4.5
Release: 1%{?dist}

License: GPL
Group: System Environment/Libraries
URL: http://www.coin3d.org

Source: ftp://ftp.coin3d.org/pub/coin/src/Coin-%{version}.tar.gz

Patch0: coin-2.3.0-simage-soname.diff
Patch1: coin-2.3.0-openal-soname.diff
Patch5: coin-2.3.0-man3.diff

BuildRequires: xorg-x11-Mesa-libGL
BuildRequires: xorg-x11-Mesa-libGLU
BuildRequires: xorg-x11-devel
BuildRequires: zlib-devel
BuildRequires: bzip2-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: doxygen
BuildRequires: /usr/bin/rename
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
Coin is a 3D graphics library with an Application Programming Interface
based on the Open Inventor 2.1 API.

%package devel
Summary: Development files for Coin
Requires: %{name} = %{version}-%{release}
Requires: xorg-x11-devel zlib-devel bzip2-devel
Group: Development/Libraries

%description devel
Development package for Coin

%prep
%setup -q -n Coin-%{version}
%patch0 -p1
%patch1 -p1
%patch5 -p1

sed -i -e 's,@LIBSIMAGE_SONAME@,"%{libsimage_SONAME}",' \
  src/glue/simage_wrapper.c
sed -i -e 's,@LIBOPENAL_SONAME@,"%{libopenal_SONAME}",' \
  src/glue/openal_wrapper.c

%build
%configure \
	--includedir=%{coin_includedir} \
	--disable-dependency-tracking \
        --enable-shared \
	--disable-dl-libbzip2 \
	--disable-dl-glu \
	--disable-dl-zlib \
	--disable-dl-freetype \
	--disable-dl-fontconfig \
	--disable-spidermonkey \
	--enable-man \
	--enable-html \
	--enable-3ds-import \
	htmldir=%{coin_htmldir}/Coin \
	CPPFLAGS=$(pkg-config --cflags freetype2)
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
/usr/bin/rename .3 .3sim $RPM_BUILD_ROOT%{_mandir}/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog* COPYING README* LICENSE* THANKS FAQ*
%{_libdir}/libCoin.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{coin_includedir}
%{_libdir}/libCoin.*a
%{_libdir}/libCoin.so
%{_datadir}/aclocal/coin.m4
%dir %{_datadir}/Coin
%{_datadir}/Coin/conf
%{_datadir}/Coin/draggerDefaults
%{_mandir}/man?/*
%doc %{coin_htmldir}

%changelog
* Tue May 30 2006 Ralf Corsépius <rc040203@freenet.de> - 2.4.5-1
- Upstream update.
- Drop gcc-4.1 patch.
- Spec file cleanup.

* Wed Feb 22 2006 Ralf Corsépius <rc040203@freenet.de> - 2.4.4-3.2
- Rename man3 manpages to .3sim (PR 182212).

* Thu Sep 22 2005 Ralf Corsépius <rc040203@freenet.de> - 2.4.4-3.1
- Add Coin-2.4.4-gcc-4.1.diff.
- Remove ancient changelog entries from spec file.

* Thu Sep 22 2005 Ralf Corsepius <ralf@links2linux.de> - 2.4.4-3
- Remove simacros patch.
- Remove libtool patch.
- Link against freetype2.

* Tue Sep 20 2005 Ralf Corsepius <ralf@links2linux.de> - 2.4.4-1
- Upstream update.

* Thu Jul 07 2005 Ralf Corsepius <ralf@links2linux.de> - 0:2.4.3-1
- Upstream update.

* Wed May 17 2005 Ralf Corsepius <ralf@links2linux.de> - 0:2.4.1-1
- Upstream update.
